Package org.eclipse.jdt.core.manipulation

# Class TypeKinds

java.lang.Object
org.eclipse.jdt.core.manipulation.TypeKinds

public class TypeKinds extends Object
Contains various properties for a Java element.

Since:
  1.10

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALL_TYPES`
`static final int`
`ANNOTATIONS`
`static final int`
`CLASSES`
`static final int`
`ENUMS`
`static final int`
`INTERFACES`
`static final int`
`PRIMITIVETYPES`
`static final int`
`REF_TYPES`
`static final int`
`REF_TYPES_AND_VAR`
`static final int`
`VARIABLES`
`static final int`
`VOIDTYPE`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CLASSES

public static final int CLASSES

See Also:
  - Constant Field Values

### INTERFACES

public static final int INTERFACES

See Also:
  - Constant Field Values

### ANNOTATIONS

public static final int ANNOTATIONS

See Also:
  - Constant Field Values

### ENUMS

public static final int ENUMS

See Also:
  - Constant Field Values

### VARIABLES

public static final int VARIABLES

See Also:
  - Constant Field Values

### PRIMITIVETYPES

public static final int PRIMITIVETYPES

See Also:
  - Constant Field Values

### VOIDTYPE

public static final int VOIDTYPE

See Also:
  - Constant Field Values

### REF_TYPES

public static final int REF_TYPES

See Also:
  - Constant Field Values

### REF_TYPES_AND_VAR

public static final int REF_TYPES_AND_VAR

See Also:
  - Constant Field Values

### ALL_TYPES

public static final int ALL_TYPES

See Also:
  - Constant Field Values